# QXmlSerializer Class Reference

### [com.trolltech.qt.xmlpatterns package]

Inherits QAbstractXmlReceiver.

### Constructor

- void QXmlSerializer(QXmlQuery query, QIODevice outputDevice)

### Constructor Properties

- prototype: The QXmlSerializer prototype object

### Prototype Object Properties

The QXmlSerializer prototype object inherits properties from the QAbstractXmlReceiver prototype object and also has the following properties.

- QTextCodec codec()
- QIODevice outputDevice()
- void setCodec(QTextCodec codec)

### Instance Properties

QXmlSerializer objects have no special properties beyond those inherited from the QXmlSerializer prototype object.